Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# MethodSpecification Class Reference

Inheritance diagram for MethodSpecification:

List of all members.

## Public Member Functions
def | __init__
def | generateConstructorCode
def | generateDestructorCode
def | generateInheritedMethodCode
def | generateMethodCode
def | generateStaticCode
def | generateUpcastMethodCode
def | outputConstructorBody
def | outputConstructorFooter
def | outputConstructorHeader
| Constructor Code Generation.
def | outputDestructorBody
def | outputDestructorFooter
def | outputDestructorHeader
| Destructor Code Generation.
def | outputInheritedMethodBody
def | outputInheritedMethodFooter
def | outputInheritedMethodHeader
| Upcast Method Code Generation.
def | outputMethodBody
def | outputMethodFooter
def | outputMethodHeader
| Method Code Generation.
def | outputStaticBody
def | outputStaticFooter
def | outputStaticHeader
| Static Method Code Generation.

## Constructor & Destructor Documentation

def __init__ | ( |  | self | ) |

Reimplemented from FunctionSpecification.

## Member Function Documentation

def generateConstructorCode | ( |  | self,
|  |  | methodClass,
|  |  | file,
|  |  | nesting
| ) |  |

def generateDestructorCode | ( |  | self,
|  |  | methodClass,
|  |  | file,
|  |  | nesting
| ) |  |

def generateInheritedMethodCode | ( |  | self,
|  |  | methodClass,
|  |  | parentList,
|  |  | file,
|  |  | nesting,
|  |  | needsDowncast
| ) |  |

def generateMethodCode | ( |  | self,
|  |  | methodClass,
|  |  | file,
|  |  | nesting
| ) |  |

def generateStaticCode | ( |  | self,
|  |  | methodClass,
|  |  | file,
|  |  | nesting
| ) |  |

def generateUpcastMethodCode | ( |  | self,
|  |  | methodClass,
|  |  | file,
|  |  | nesting
| ) |  |

def outputConstructorBody | ( |  | self,
|  |  | methodClass,
|  |  | file,
|  |  | nesting
| ) |  |

def outputConstructorFooter | ( |  | self,
|  |  | methodClass,
|  |  | file,
|  |  | nesting
| ) |  |

def outputConstructorHeader | ( |  | self,
|  |  | methodClass,
|  |  | file,
|  |  | nesting
| ) |  |

Constructor Code Generation.

def outputDestructorBody | ( |  | self,
|  |  | methodClass,
|  |  | file,
|  |  | nesting
| ) |  |

def outputDestructorFooter | ( |  | self,
|  |  | methodClass,
|  |  | file,
|  |  | nesting
| ) |  |

def outputDestructorHeader | ( |  | self,
|  |  | methodClass,
|  |  | file,
|  |  | nesting
| ) |  |

Destructor Code Generation.

def outputInheritedMethodBody | ( |  | self,
|  |  | methodClass,
|  |  | parentList,
|  |  | file,
|  |  | nesting,
|  |  | needsDowncast
| ) |  |

def outputInheritedMethodFooter | ( |  | self,
|  |  | methodClass,
|  |  | parentList,
|  |  | file,
|  |  | nesting,
|  |  | needsDowncast
| ) |  |

def outputInheritedMethodHeader | ( |  | self,
|  |  | methodClass,
|  |  | parentList,
|  |  | file,
|  |  | nesting,
|  |  | needsDowncast
| ) |  |

Upcast Method Code Generation.

def outputMethodBody | ( |  | self,
|  |  | methodClass,
|  |  | file,
|  |  | nesting,
|  |  | needsDowncast = `1`
| ) |  |

def outputMethodFooter | ( |  | self,
|  |  | methodClass,
|  |  | file,
|  |  | nesting
| ) |  |

def outputMethodHeader | ( |  | self,
|  |  | methodClass,
|  |  | file,
|  |  | nesting
| ) |  |

Method Code Generation.

def outputStaticBody | ( |  | self,
|  |  | methodClass,
|  |  | file,
|  |  | nesting
| ) |  |

def outputStaticFooter | ( |  | self,
|  |  | methodClass,
|  |  | file,
|  |  | nesting
| ) |  |

def outputStaticHeader | ( |  | self,
|  |  | methodClass,
|  |  | file,
|  |  | nesting
| ) |  |

Static Method Code Generation.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties